Search documentation of phoenix_kit

# PhoenixKit.Settings.Events (phoenix_kit v1.6.19)

View Source

PubSub helpers for broadcasting settings updates in real-time.

Allows multiple admins viewing Settings to see changes immediately without page refresh, similar to how Entities work.

# Summary

## Functions

broadcast_admin_languages_changed(admin_languages)

Broadcast that admin languages were changed.

broadcast_content_language_changed(new_language)

Broadcast that content language setting was changed.

broadcast_setting_changed(key, value)

Broadcast that any setting was changed (generic).

subscribe_to_settings()

Subscribe to settings change events.

# Functions

# broadcast_admin_languages_changed(admin_languages)

Broadcast that admin languages were changed.

# broadcast_content_language_changed(new_language)

Broadcast that content language setting was changed.

# broadcast_setting_changed(key, value)

Broadcast that any setting was changed (generic).

# subscribe_to_settings()

Subscribe to settings change events.